;; First, evaluate these, as described at <https://guix.gnu.org/en/manual/devel/en/html_node/The-Perfect-Setup.html#Viewing-Bugs-within-Emacs>:

(require 'bug-reference)
(require 'debbugs)
(require 'debbugs-browse)

(setq bug-reference-bug-regexp
      (rx (group (or (seq word-boundary
                          (or (seq (char "Bb") "ug"
                                   (zero-or-one " ")
                                   (zero-or-one "#"))
                              (seq (char "Pp") "atch"
                                   (zero-or-one " ")
                                   "#")
                              (seq (char "Ff") "ixes"
                                   (zero-or-one ":")
                                   (zero-or-one " ") "#")
                              (seq "RFE"
                                   (zero-or-one " ") "#")
                              (seq "PR "
                                   (one-or-more (char "a-z+-")) "/"))
                          (group (one-or-more (char "0-9"))
                                 (zero-or-one
                                  (seq "#" (one-or-more
                                            (char "0-9"))))))
                     (seq "<https://bugs.gnu.org/"
                          (group-n 2 (one-or-more (char "0-9")))
                          ">")))))

(setq debbugs-browse-url-regexp
      (rx line-start
          "http" (zero-or-one "s") "://"
          (or "debbugs" "issues.guix" "bugs")
          ".gnu.org" (one-or-more "/")
          (group (zero-or-one "cgi/bugreport.cgi?bug="))
          (group-n 3 (one-or-more digit))
          line-end))

(bug-reference-mode)
(debbugs-browse-mode)

;; Finally, click this: [bug#66146]. For me, it does not work. It only prints this error as message: "bug-reference-push-button: You must customize some bug-reference variables; see Emacs info node Bug Reference". But it does work (i.e. open the respective bug in debbugs-browse within Emacs) after evaluating the following S-expression:

(setq bug-reference-url-format "https://issues.guix.gnu.org/%s")

